weka.core.pmml.jaxbbindings

## Class TextDocument

- java.lang.Object
- - weka.core.pmml.jaxbbindings.TextDocument

-     public class TextDocument
      extends java.lang.Object

  Java class for TextDocument element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="TextDocument">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="file" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="length" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getFile()` Gets the value of the file property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.math.BigInteger` | `getLength()` Gets the value of the length property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `void` | `setFile(java.lang.String value)` Sets the value of the file property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setLength(java.math.BigInteger value)` Sets the value of the length property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDocument

          public TextDocument()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getFile

          public java.lang.String getFile()

      Gets the value of the file property.
      Returns:
        possible object is `String`

    - #### setFile

          public void setFile(java.lang.String value)

      Sets the value of the file property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLength

          public java.math.BigInteger getLength()

      Gets the value of the length property.
      Returns:
        possible object is `BigInteger`

    - #### setLength

          public void setLength(java.math.BigInteger value)

      Sets the value of the length property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`